import http from "@/api";
const VIDEO_CATEGORY = `video/category`;
// 视频分类分页列表
export const getVideoClassListApi = (params?: any) => {
    return http.get<any>(`${VIDEO_CATEGORY}/index`, params);
};
//视频分类详情
export const getVideoClassReadApi = (params: any) => {
    return http.get<any>(`${VIDEO_CATEGORY}/read/${params}`);
};
//视频分类保存
export const getVideoClassSaveApi = (params: any) => {
    return http.post<any>(`${VIDEO_CATEGORY}/save`, params);
};
//视频分类更新
export const getVideoClassUpdateApi = (params: any) => {
    return http.put<any>(`${VIDEO_CATEGORY}/update/${params.id}`, params);
};
//视频分类删除
export const getVideoClassListDelApi = (params: any) => {
    return http.delete<any>(`${VIDEO_CATEGORY}/delete/${params}`);
};
//视频分类排序
export const getVideoClassSortApi = (params: any) => {
    return http.post<any>(`${VIDEO_CATEGORY}/sort/${params.id}`, { sort: params.sort });
};
